#
# spec file for package gtk-sharp2 (Version 2.8.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel aspell aspell-en atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel evolution-data-server expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-panel gnome-panel-devel gnome-spell2 gnome-vfs2 gnome-vfs2-devel gnutls gpm grep groff gtk2 gtk2-devel gtkhtml2 gtkhtml2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libgcc libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgsf libgsf-devel libgsf-gnome libgssapi libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel librsvg librsvg-devel libsoup libstdc++ libtiff libtool libusb libwnck libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools mono-core mono-data mono-devel mono-web mono-winforms monodoc-core mozilla-nspr mozilla-nss ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm sed shared-mime-info startup-notification strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim vte vte-devel xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gtk-sharp2
BuildRequires:  gnome-panel-devel gtkhtml2-devel librsvg-devel mono-devel monodoc-core update-desktop-files vte-devel
%ifarch ppc64
BuildRequires:  mono-biarchcompat
%endif
URL:            http://gtk-sharp.sf.net
%define prefix /usr
%define sysconfdir /etc
License:        GNU General Public License (GPL), GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.8.3
Release:        43.10
Summary:        .Net Language Bindings for GTK+
Source:         gtk-sharp-%{version}.tar.gz
Patch:          gtk-sharp-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains Mono bindings for gtk+, gdk, atk, and pango.



%debug_package
%package gapi
Group:          System/GUI/GNOME
Summary:        C Source Parser and C Generator
Requires:       perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
The gtk-sharp-gapi package includes the parser and code generator used
by the GTK if you want to bind GObject-based libraries, or need to
compile a project that uses it to bind such a library.



%package -n gnome-sharp2
Summary:        Mono bindings for Gnome.
Group:          System/GUI/GNOME

%description -n gnome-sharp2
This package contains Mono bindings for Gnome.



%package -n rsvg-sharp2
Summary:        Mono bindings for rsvg
Group:          System/GUI/GNOME
Requires:       librsvg

%description -n rsvg-sharp2
This package contains Mono bindings for librsvg.



%package -n gtkhtml-sharp2
Summary:        Mono bindings for gtkhtml
Group:          System/GUI/GNOME
Requires:       gtkhtml2

%description -n gtkhtml-sharp2
This package contains Mono bindings for gtkhtml.



%package -n gnome-vfs-sharp2
Summary:        Mono bindings for gnomevfs
Group:          System/GUI/GNOME
Requires:       gnome-vfs2

%description -n gnome-vfs-sharp2
This package contains Mono bindings gnomevfs.



%package -n art-sharp2
Summary:        Mono bindings for libart
Group:          System/GUI/GNOME
Requires:       libart_lgpl

%description -n art-sharp2
This package contains Mono bindings for libart.



%package -n gtk-sharp2-doc
Summary:        Monodoc documentation for gtk-sharp2
Group:          System/GUI/GNOME
Requires:       mono-tools

%description -n gtk-sharp2-doc
This package contains the gtk-sharp2 documentation for monodoc.



%package -n glib-sharp2
Summary:        Mono bindings for glib
Group:          System/GUI/GNOME

%description -n glib-sharp2
This package contains Mono bindings for glib.



%package -n glade-sharp2
Group:          System/GUI/GNOME
Summary:        Mono bindings for glade

%description -n glade-sharp2
This package contains Mono bindings for glade.



%package -n vte-sharp2
Group:          System/GUI/GNOME
Summary:        Mono bindings for vte
Requires:       vte

%description -n vte-sharp2
This package contains Mono bindings for vte.



%package -n gconf-sharp2
Summary:        Mono bindings for gconf
Group:          System/GUI/GNOME

%description -n gconf-sharp2
This package contains Mono bindings for gconf and gconf peditors.



%package -n gtk-sharp2-complete
Group:          System/GUI/GNOME
Summary:        GTK+ and GNOME bindings for Mono (virtual package)
Requires:       art-sharp2 = %version-%release
Requires:       gconf-sharp2 = %version-%release
Requires:       glade-sharp2 = %version-%release
Requires:       glib-sharp2 = %version-%release
Requires:       gnome-sharp2 = %version-%release
Requires:       gnome-vfs-sharp2 = %version-%release
Requires:       gtk-sharp2 = %version-%release
Requires:       gtk-sharp2-doc = %version-%release
Requires:       gtk-sharp2-gapi = %version-%release
Requires:       gtkhtml-sharp2 = %version-%release
Requires:       rsvg-sharp2 = %version-%release
Requires:       vte-sharp2 = %version-%release

%description -n gtk-sharp2-complete
Gtk# is a library that allows you to build fully native graphical GNOME
applications using Mono. Gtk# is a binding to GTK+, the cross platform
user interface toolkit used in GNOME. It includes bindings for Gtk,
Atk, Pango, Gdk, libgnome, libgnomeui and libgnomecanvas.  (Virtual
package which depends on all gtk-sharp2 subpackages)



%prep
%setup -n gtk-sharp-%{version}
%patch

%build
autoreconf -fi
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --libexecdir=%{prefix}/lib \
	    --mandir=%{prefix}/share/man \
	    --infodir=%{prefix}/share/info \
	    --sysconfdir=%{sysconfdir} \
	    --enable-debug
make

%install
#make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir /usr/lib /root ${RPM_BUILD_ROOT}/usr/lib"
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/usr/%{_lib}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/lib/mono/gac/*atk-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*atk-sharp.dll
%{prefix}/lib/mono/gac/*gdk-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gdk-sharp.dll
%{prefix}/lib/mono/gac/*gtk-dotnet
%{prefix}/lib/mono/gtk-sharp-2.0/*gtk-dotnet.dll
%{prefix}/lib/mono/gac/*gtk-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gtk-sharp.dll
%{prefix}/lib/mono/gac/*pango-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*pango-sharp.dll
%{prefix}/%{_lib}/libgdksharpglue-2.so
%{prefix}/%{_lib}/libgtksharpglue-2.so
%{prefix}/%{_lib}/libpangosharpglue-2.so
%{prefix}/%{_lib}/pkgconfig/gtk-sharp-2.0.pc
%{prefix}/%{_lib}/pkgconfig/gtk-dotnet-2.0.pc

%files gapi
%defattr(-, root, root)
%{prefix}/bin/gapi2-codegen
%{prefix}/bin/gapi2-fixup
%{prefix}/bin/gapi2-parser
%{prefix}/lib/gtk-sharp-2.0/gapi_codegen.exe
%{prefix}/lib/gtk-sharp-2.0/gapi-fixup.exe
%{prefix}/lib/gtk-sharp-2.0/gapi-parser.exe
%{prefix}/lib/gtk-sharp-2.0/gapi_pp.pl
%{prefix}/lib/gtk-sharp-2.0/gapi2xml.pl
%{prefix}/%{_lib}/pkgconfig/gapi-2.0.pc
%{prefix}/share/gapi-2.0

%files -n gnome-sharp2
%defattr(-,root,root)
%{prefix}/lib/mono/gac/*gnome-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gnome-sharp.dll
%{prefix}/%{_lib}/libgnomesharpglue-2.so
%{prefix}/%{_lib}/pkgconfig/gnome-sharp-2.0.pc

%files -n rsvg-sharp2
%defattr(-,root,root)
%{prefix}/lib/mono/gac/*rsvg-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*rsvg-sharp.dll
%{prefix}/%{_lib}/pkgconfig/rsvg-sharp-2.0.pc

%files -n gtkhtml-sharp2
%defattr(-,root,root)
%{prefix}/lib/mono/gac/*gtkhtml-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gtkhtml-sharp.dll
%{prefix}/%{_lib}/pkgconfig/gtkhtml-sharp-2.0.pc

%files -n gnome-vfs-sharp2
%defattr(-,root,root)
%{prefix}/lib/mono/gac/*gnome-vfs-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gnome-vfs-sharp.dll
%{prefix}/%{_lib}/pkgconfig/gnome-vfs-sharp-2.0.pc

%files -n art-sharp2
%defattr(-,root,root)
%{prefix}/lib/mono/gac/*art-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*art-sharp.dll
%{prefix}/%{_lib}/pkgconfig/art-sharp-2.0.pc

%files -n gtk-sharp2-doc
%defattr(-, root, root)
%doc COPYING ChangeLog README
%{prefix}/lib/monodoc

%files -n glib-sharp2
%defattr(-, root, root)
%{prefix}/lib/mono/gac/*glib-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*glib-sharp.dll
%{prefix}/%{_lib}/libglibsharpglue-2.so
%{prefix}/%{_lib}/pkgconfig/glib-sharp-2.0.pc

%files -n glade-sharp2
%defattr(-, root, root)
%{prefix}/lib/mono/gac/*glade-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*glade-sharp.dll
%{prefix}/%{_lib}/libgladesharpglue-2.so
%{prefix}/%{_lib}/pkgconfig/glade-sharp-2.0.pc

%files -n vte-sharp2
%defattr(-, root, root)
%{prefix}/lib/mono/gac/*vte-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*vte-sharp.dll
%{prefix}/%{_lib}/libvtesharpglue-2.so
%{prefix}/%{_lib}/pkgconfig/vte-sharp-2.0.pc

%files -n gconf-sharp2
%defattr(-, root, root)
%{prefix}/bin/gconfsharp2-schemagen
%{prefix}/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{prefix}/lib/mono/gac/*gconf-sharp
%{prefix}/lib/mono/gtk-sharp-2.0/*gconf-sharp.dll
# Other distros place these in gnome-sharp2??
%{prefix}/lib/mono/gac/*gconf-sharp-peditors
%{prefix}/lib/mono/gtk-sharp-2.0/*gconf-sharp-peditors.dll
%{prefix}/%{_lib}/pkgconfig/gconf-sharp-2.0.pc

%files -n gtk-sharp2-complete
%defattr(-, root, root)
## This is the 'base' package so we put the common dirs of all in this package
# Otherwise, this package doesn't get created!
%dir %{prefix}/lib/mono/gtk-sharp-2.0
%dir %{prefix}/lib/gtk-sharp-2.0

%changelog
* Mon Dec 04 2006 - wberrier@suse.de
- Submit to sle10-sp (Fate #301111)
* Fri Oct 20 2006 - ro@suse.de
- added mono-devel to buildrequires
* Mon Oct 16 2006 - schwab@suse.de
- Use install-data-hook instead of install-hook.
* Tue Aug 01 2006 - wberrier@suse.de
- Update to 2.8.3
- Fix: Multiple calls to Gnome.Vfs.MimeType.Description triggers glibc error (77534)
* Mon May 08 2006 - joeshaw@suse.de
- Add a patch to make GLib.ValueArray actually free in the main
  GTK thread rather than the finalizer thread.  Fixes deadlocks,
  like bnc #168650.
* Tue Feb 28 2006 - wberrier@suse.de
- Update to 2.8.2.  Fixes the following bugs: (Ximian)
  - 77497
  - 77662
  - 77658 (64bit fix, needed by f-spot)
  - 154029 in Novell's Bugzilla
* Tue Feb 21 2006 - rguenther@suse.de
- Fix build failure on ppc64.  [#152472]
* Thu Feb 16 2006 - wberrier@suse.de
- Add .mdb files.  Fixes: https://bugzilla.novell.com/show_bug.cgi?id=151353
 - also, remove the explicit deps (they are provided by mono(assembly) deps
* Thu Feb 09 2006 - wberrier@suse.de
- Update to 2.8.1.  Fixes the following bugs (Ximian bugzilla):
 - #77400
 - #77323
 - #77016
 - #76992
 - #77017
 - #77182
 - #77244
* Fri Feb 03 2006 - aj@suse.de
- Cleanup BuildRequires.
- Add Requires for packages.
- Reorder spec file sections.
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - wberrier@suse.de
- Additional package splits: art, rsvg, gtkhtml, and gnome-vfs
* Fri Jan 13 2006 - wberrier@suse.de
- Redo almost all of the packaging (Novell Bug #142367)
 - split package based on what another distro does
 - clean up nfb a little
 - remove unnecessary hard rpm deps
  - I don't understand why gnome-filesystem would be required?
 - Provide gtk-sharp2-complege virtual package depending on all sub packages
* Wed Jan 11 2006 - wberrier@suse.de
- Update to 2.8.0
* Fri Dec 16 2005 - wberrier@suse.de
- Update to 2.7.90
* Thu Dec 01 2005 - wberrier@suse.de
- Clean up needed for build and install section
* Fri Nov 11 2005 - wberrier@suse.de
- Update to 2.7.1
* Thu Oct 06 2005 - wberrier@suse.de
- Update to 2.3.92
* Mon Oct 03 2005 - gekker@suse.de
- Update to svn snapshot to fix crash when re-sizing windows
- Remove upstreamed patch
* Tue Sep 27 2005 - ro@suse.de
- re-enable gtkhtml
* Mon Sep 26 2005 - gekker@suse.de
- Fix build on x86_64
* Fri Sep 23 2005 - wberrier@suse.de
- updated to 2.3.91.  New version also includes docs for monodoc
* Fri Sep 23 2005 - ro@suse.de
- removed libgdiplus-devel from nfb (dropped)
* Sun Sep 04 2005 - aj@suse.de
- Add check-build.sh.
* Thu Aug 18 2005 - wberrier@suse.de
- Add dependencies on Perl xml packages for gapi (Novell [Bug 105055])
* Mon Jul 11 2005 - gekker@suse.de
- fix build with current libgda/libgnomedb
* Wed Jul 06 2005 - gekker@suse.de
- Fix to build all optional modules
* Tue Jul 05 2005 - gekker@suse.de
- Branch for gtk-sharp2, initial version 1.9.5
* Thu May 19 2005 - ro@suse.de
- fix build with current pkgconfig
* Thu May 05 2005 - gekker@suse.de
- Fix requires in gtk-sharp to require gtk-sharp-gapi
* Wed Mar 16 2005 - gekker@suse.de
- Update to version 1.0.8, leak fixes
- Remove upstreamed patches
* Tue Mar 08 2005 - gekker@suse.de
- Update gtkhtml-sharp.diff for new .so version in gtkhtml2
* Tue Mar 08 2005 - gekker@suse.de
- add gtkhtml-sharp.diff (66769, 66439)
* Thu Feb 24 2005 - gekker@suse.de
- Fix requires (66439)
* Mon Feb 21 2005 - clahey@suse.de
- Update to 1.0.6.
* Fri Jan 21 2005 - ro@suse.de
- update to 1.0.4
* Fri Jan 14 2005 - ro@suse.de
- build with gtkhtml-3.6
* Thu Dec 02 2004 - ro@suse.de
- try to fix build on x86_64
* Sun Nov 28 2004 - ro@suse.de
- run autoreconf
* Wed Sep 08 2004 - joeshaw@suse.de
- Update the gtkhtml patch.
* Tue Sep 07 2004 - joeshaw@suse.de
- Add a patch to use gtkhtml 3.1 instead of 3.0.  Ximian #63188
* Fri Sep 03 2004 - clahey@suse.de
- Updated to 1.0.
* Tue Jun 29 2004 - ro@suse.de
- use rpm scripts for find requires/provides
* Tue Jun 22 2004 - clahey@suse.de
- Updated to 0.98.
* Wed May 26 2004 - clahey@suse.de
- Initial import.
